This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 189610 - CPU @ 100% with multiple running bonobo-activation-server
CPU @ 100% with multiple running bonobo-activation-server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bonobo (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-21 12:06 EDT by George Kraft
Modified: 2008-03-20 09:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 14:33:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 163132 None None None Never

  None (edit)
Description George Kraft 2006-04-21 12:06:57 EDT
Description of problem:
There are five bonobo-activation-server running. The top four running system
processare are bonobo-activation-server which is pushing the CPU to 100% and
system load to plus four.


Version-Release number of selected component (if applicable):
2.6.16-1.2080_FC5
libbonobo-2.14.0-1


How reproducible:
This problemm exists on all five of our FC5 systems.


Steps to Reproduce:
1. gconftool-2 --type boolean --set /desktop/gnome/interface/accessibility true
2. logout then login
3. top
  
Actual results:
I get 5 running bonobo-activation-server processes with four being the top
system hogs taking 100% of the CPU.

Expected results:
I expected only one bonbo-activation-server process running and taking very
little system CPU time.


Additional info:
/var/log/messages has several bluetooth related bonobo access errors.
Comment 1 Darragh 2006-04-24 15:56:38 EDT
lists@digitaldarragh.com
Comment 2 George Kraft 2006-05-03 14:16:32 EDT
This may be the solution: http://bugzilla.gnome.org/show_bug.cgi?id=163132
Comment 3 George Kraft 2006-05-03 15:17:10 EDT
Try removing bluez-pin, bluez-utils, and bluez-libs
Comment 4 Ariel Rios 2006-05-05 14:23:16 EDT
Whilst the work on bug 163132 removes the b-a-s several instances problem still
having a11y enabled and bluez-pin makes you use about 50% of your CPU which is
bad. There must be something wrong with bluez-pin. Here is what I have found. 

When you enable a11y and start the gnome-session your CPU usage
goes up to 100% and memory usage is also very high and you have 3
instances of bonobo-activation-server. One is nicely sleeping but the
two others are active and using CPU.

If you start gnopernicus or lsr you will get MORE than 3 instances of
b-a-s. If you leave your computer on for a night, next day you will
find it's unusable and have to reboot it.

With my patch you found out that CPU usage goes down to 50%, memory
also goes down and you only have one instance of b-a-s. Still I didn't
like CPU to be @ 50% so I started looking and found out that my FC5
installation had something called bluez-pin (something related to blue
tooth) running and that guy was eating the 50% of the CPU. If i killed
it then I was down to a fine 0-5% CPU usage. So I decided to get rid
of that bluez thing but gnome-session inssited that I needed it so I
unstalled it. Now my memory and CPU usage is normal.
So I decided to go back a few steps and try to see what happens
without my patch and without that bluez being loaded. I found out that
only one b-a-s instance was running (as expected) and CPU usage was
almost as good as with my patch.

So, there is something in combining a11y with bluez. Prolly a bug
should be added somewhere.
Comment 5 Ray Strode [halfline] 2006-05-09 16:59:15 EDT
Do you have a 2-cpu computer?
Comment 6 Ariel Rios 2006-05-09 17:05:08 EDT
Yes I have.

[ariel@paula rpm-src]$ cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 3.00GHz
.....
processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 3.00GHz
Comment 7 Petr Fischer 2006-07-19 03:49:25 EDT
I have 1 CPU and bonobo-activation-server eats 100% of cpu after reboot (when I
start nautilus). Bonobo is totally buggy component (unusable gnome desktop for
normal user).
Comment 8 Ray Strode [halfline] 2006-08-17 13:42:38 EDT
are you guys still seeing this with the packages sitting in -testing ?
Comment 9 George Kraft 2006-08-18 10:00:26 EDT
We have removed bluez-pin, bluez-utils, and bluez-libs from our systems.  We
will try again on FC6.
Comment 10 Ray Strode [halfline] 2008-03-18 14:33:47 EDT
Hi,

We no longer support Fedora Core 5 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)
Comment 11 Ariel Rios 2008-03-20 00:33:18 EDT
The problem of multiple bonobo-activation-server when a11y was enabled was fixed
as a good side efect of this bug: http://bugzilla.gnome.org/show_bug.cgi?id=163132

Comment 12 Ray Strode [halfline] 2008-03-20 09:56:36 EDT
Excellent.

Note You need to log in before you can comment on or make changes to this bug.